before_script:
  - chmod +x mvnw
image: openjdk:8-jdk-slim
variables:
  MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository -Dhttps.protocols=TLSv1.2 -Dmaven.color=false -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN -Dorg.slf4j.simpleLogger.showDateTime=true -Djava.awt.headless=true"
  MAVEN_CLI_OPTS: "--batch-mode --errors --fail-at-end --show-version -DinstallAtEnd=true -DdeployAtEnd=true"
cache:
  paths:
    - .m2/repository/
stages:
  - install
  - tests
  - build
dependencies:
  stage: install
  script:
    - ./mvnw $MAVEN_CLI_OPTS dependency:resolve
build:
  stage: build
  script:
    - ./mvnw $MAVEN_CLI_OPTS clean compile jib:build
unit:
  stage: tests
  variables:
    SCOPE: $CI_JOB_NAME
  script:
    - ./mvnw $MAVEN_CLI_OPTS test
e2e:
  stage: tests
  variables:
    SCOPE: $CI_JOB_NAME
  script:
    - ./mvnw $MAVEN_CLI_OPTS test
    